Closed Bug 1306635 Opened 3 years ago Closed 3 months ago

Intermittent [taskcluster:error] Task timeout after 10800 seconds. Force killing container.

Categories

(Testing :: Code Coverage, defect)

defect
Not set

Tracking

(firefox70 fixed)

RESOLVED FIXED
mozilla70
Tracking Status
firefox70 --- fixed

People

(Reporter: philor, Assigned: gbrown)

References

(Depends on 1 open bug)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell unknown])

Attachments

(1 file)

+++ This bug was initially created as a clone of Bug #1204281 +++

+++ This bug was initially created as a clone of Bug #1198092 +++
Depends on: 1411358
Keywords: leave-open
Component: General Automation → General
See Also: → 1529777

There are 20 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-07-06&endday=2019-07-13&tree=trunk&bug=1306635

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=256167508&repo=mozilla-central&lineNumber=106613

[task 2019-07-12T14:01:10.062Z] 14:01:10 INFO - PID 31272 | JavaScript error: https://web-platform.test:8443/worklets/resources/referrer-window.html?pipe=header(Referrer-Policy,%20same-origin), line 94: TypeError: get_worklet(...) is undefined
[task 2019-07-12T14:01:10.078Z] 14:01:10 INFO - PID 31272 | ++DOCSHELL 0x7f926fe11000 == 15 [pid = 32212] [id = {33494da7-8e08-48b2-9183-dd285c965ad7}]
[task 2019-07-12T14:01:10.078Z] 14:01:10 INFO - PID 31272 | ++DOMWINDOW == 44 (0x7f92703f6100) [pid = 32212] [serial = 44] [outer = (nil)]
[task 2019-07-12T14:01:10.195Z] 14:01:10 INFO - PID 31272 | ++DOMWINDOW == 45 (0x7f927006d000) [pid = 32212] [serial = 45] [outer = 0x7f92703f6100]
[task 2019-07-12T14:01:10.203Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.204Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.204Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.204Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.219Z] 14:01:10 INFO - PID 31272 | [Child 32212, Main Thread] WARNING: No active window: file /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
[task 2019-07-12T14:01:10.416Z] 14:01:10 INFO - PID 31272 | ++DOMWINDOW == 46 (0x7f9270076400) [pid = 32212] [serial = 46] [outer = 0x7f92703f6100]
[task 2019-07-12T14:01:10.444Z] 14:01:10 INFO - PID 31272 | [Child 32212, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, *this) failed with result 0x80004005: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 489
[task 2019-07-12T14:01:10.803Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.803Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.804Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.804Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.825Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.825Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.826Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:10.826Z] 14:01:10 INFO - PID 31272 | [Parent 31272, Main Thread] WARNING: Constructing RangeBoundary with invalid value: 'mRef || aOffset == 0', file /builds/worker/workspace/build/src/obj-firefox/dist/include/mozilla/RangeBoundary.h, line 79
[task 2019-07-12T14:01:11.169Z] 14:01:11 INFO - PID 31272 | JavaScript error: https://web-platform.test:8443/worklets/resources/referrer-window.html?pipe=header(Referrer-Policy,%20same-origin), line 94: TypeError: get_worklet(...) is undefined
[task 2019-07-12T14:01:11.185Z] 14:01:11 INFO - PID 31272 | ++DOCSHELL 0x7f926fe17000 == 16 [pid = 32212] [id = {f1947969-2756-4078-9254-2d910e34e50c}]
[task 2019-07-12T14:01:11.185Z] 14:01:11 INFO - PID 31272 | ++DOMWINDOW == 47 (0x7f92703f62e0) [pid = 32212] [serial = 47] [outer = (nil)]
[taskcluster:error] Task timeout after 10800 seconds. Force killing container.
[taskcluster 2019-07-12 14:01:11.632Z] === Task Finished ===
[taskcluster 2019-07-12 14:01:11.633Z] Unsuccessful task run with exit code: -1 completed in 10801.943 seconds

Chris, could you please assign this to someone?

Flags: needinfo?(catlee)
Whiteboard: [stockwell needswork:owner]
Component: General → Code Coverage
Flags: needinfo?(catlee)
Product: Release Engineering → Testing
QA Contact: catlee

Recent failures are linux64-ccov wpt, especially wpt-4, but all chunks are taking a long time. Let's see if more chunks helps:

https://treeherder.mozilla.org/#/jobs?repo=try&tier=1%2C2%2C3&revision=85b05814c9b79244984b9d3f7448d1e2e3a9f5c0

Assignee: nobody → gbrown

Avoid intermittently exceeding the already very long max-run-time in some chunks.

There is a good chance this type of failure will happen again some time in the future, probably for a different reason. When it does, I'd be happy to see a new bug opened, or the failure reported against bug 1411358, so let's resolve this for now.

Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/ed035a966041
Run linux64-ccov wpt in more test chunks; r=jmaher
Status: NEW → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla70
You need to log in before you can comment on or make changes to this bug.